org.apache.ant.compress.conditions

## Class HasUserId

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.ant.compress.conditions.HasUserId

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.taskdefs.condition.Condition

      public class HasUserId
      extends org.apache.tools.ant.ProjectComponent
      implements org.apache.tools.ant.taskdefs.condition.Condition

  Tests the user id of an archive entry.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasUserId()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CommonsCompressArchiveResource r)`
    `void` | `add(org.apache.tools.ant.types.resources.TarResource r)`
    `boolean` | `eval()`
    `void` | `setId(int i)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasUserId

          public HasUserId()

  - ### Method Detail

    - #### add

          public void add(org.apache.tools.ant.types.resources.TarResource r)

    - #### add

          public void add(CommonsCompressArchiveResource r)

    - #### setId

          public void setId(int i)

    - #### validate

          protected void validate()
                           throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### eval

          public boolean eval()
                       throws org.apache.tools.ant.BuildException

      Specified by:
        `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`
      Throws:
        `org.apache.tools.ant.BuildException`